using System;
using System.Collections;
using log4net;

namespace EventLoggingToFile
{
    public class SimpleLogging
    {
        public void logEvent(rdPlugin.rdServerObjects obj) {
            ILog logger = LogManager.GetLogger(typeof(SimpleLogging));

            String stringtolog = "";
            foreach (DictionaryEntry p in obj.PluginParameters)
            {
                stringtolog = stringtolog + p.Key + ": \"" + p.Value + "\", ";
            }
            stringtolog = stringtolog.TrimEnd(',');
            logger.Info(stringtolog);

        }
    }
}
